Skip to main content
GET

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

external_customer_id
string

Unique identifier assigned to the customer in your application.

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

issuing_date_from
string<date>

Filter credit notes starting from a specific date.

Example:

"2022-07-08"

issuing_date_to
string<date>

Filter credit notes up to a specific date.

Example:

"2022-08-09"

search_term
string

Search credit notes by id, number, customer name, customer external_id or customer email.

Example:

"Jane"

currency
string

Filter credit notes by currency. Possible values ISO 4217 currency codes.

Example:

"EUR"

reason
enum<string>

Filter credit notes by reasons. Possible values are product_unsatisfactory, order_change, order_cancellation, fraudulent_charge, duplicated_charge or other.

Available options:
product_unsatisfactory,
order_change,
order_cancellation,
fraudulent_charge,
duplicated_charge,
other
credit_status
enum<string>

Filter credit notes by credit status. Possible values are available, consumed or voided.

Available options:
available,
consumed,
voided
refund_status
enum<string>

Filter credit notes by refund status. Possible values are pending, succeeded or failed.

Available options:
pending,
succeeded,
failed
invoice_number
string

Filter credit notes by their related invoice number.

Example:

"INV-001-002"

amount_from
integer

Filter credit notes of at least a specific amount. This parameter must be defined in cents to ensure consistent handling for all currency types.

Example:

9000

amount_to
integer

Filter credit notes up to a specific amount. This parameter must be defined in cents to ensure consistent handling for all currency types.

Example:

100000

self_billed
boolean

Filter credit notes belonging to a self billed invoice. Possible values are true or false.

Example:

true

billing_entity_codes[]
string[]

Filter credit notes by billing entity codes.

Example:

Response

Credit notes

credit_notes
object[]
required
meta
object
required